package com.yonge.toolset.datasource.dao;

import java.util.List;
import java.util.Map;

import com.yonge.toolset.datasource.entity.DatabaseSource;


public interface DatabaseSourceDao  {

	/**
	 * 通过主键id获取对象
	 * @param id
	 * @return DatabaseSource
	 */
	public DatabaseSource geDatabaseSource(final Long id);

	/**
	 * 更新实体对象
	 * @param bean
	 * @return inDatabaseSource
	 */
	public int updaDatabaseSourcee(DatabaseSource bean);

	/**
	 * 通过主键id删除对象
	 * @param id
	 * @return inDatabaseSource
	 */
	public int deleDatabaseSourcee(final Long id);
	
	/**
	 * 写入实体对象
	 * @param bean
	 * @return inDatabaseSource
	 */
	public long inserDatabaseSource(DatabaseSource bean);
	/**
	 * 通过参数查找所有结果集
	 * @param params
	 * @return
	 */
	public List<DatabaseSource> findAll(Map<String, Object> params);
	/**
	 * 通过参数查找结果集，适合分页场景
	 * @param params
	 * @return
	 */
	public List<DatabaseSource> queryPage(Map<String, Object> params);
	/**
	 * 通过参数查找结果集数目
	 * @param params
	 * @return
	 */
	public int queryCounDatabaseSource(Map<String, Object> params);
}
